## apache-log4j1.2 1.2.16

=== debian/changelog ===
apache-log4j1.2 (1.2.16-3ubuntu2) quantal; urgency=low

  * No-change rebuild with openjdk-7 as default-jdk.

 -- James Page <james.page@ubuntu.com>  Fri, 18 May 2012 11:33:24 +0100

apache-log4j1.2 (1.2.16-3ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #922890).  Remaining changes:
    - d/control: Depend on libmx4j-java (main) instead of
      libjboss-jmx-java (universe).
    - d/{rules,control}: Remove dependency on bnd and don't add
      OSGi headers to jar file.

 -- James Page <james.page@ubuntu.com>  Thu, 09 Feb 2012 16:28:22 +0000

apache-log4j1.2 (1.2.16-3) unstable; urgency=low

  * Add Bundle-SymbolicName to jar manifest
  * Update Import-Package OSGi attribute
  * Add Jakub Adam to Uploaders
  * Updated Standards-Version to 3.9.2
  * Removed Thomas Koch from Uploaders. Thanks for your contributions.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 27 Nov 2011 19:01:34 +0100

apache-log4j1.2 (1.2.16-2ubuntu2) precise; urgency=low

  * d/control: Really Depend on libmx4j-java (main) instead of
    libjboss-jmx-java (universe) to keep log4j in main.

 -- James Page <james.page@ubuntu.com>  Thu, 24 Nov 2011 11:53:42 +0000

apache-log4j1.2 (1.2.16-2ubuntu1) precise; urgency=low

  * Updates to retain log4j in Ubuntu main:
    - d/control: Depend on libmx4j-java (main) instead of
      libjboss-jmx-java (universe).
    - d/{rules,control}: Remove dependency on bnd and don't add
      OSGi headers to jar file.

 -- James Page <james.page@ubuntu.com>  Thu, 24 Nov 2011 09:39:36 +0000

apache-log4j1.2 (1.2.16-2) unstable; urgency=low

  [ Ludovic Claude ]
  * Add myself to uploaders
  * Rename source package to apache-log4j1.2 (Closes: #598007)
  * d/maven.rules: use * instead of jar to match log4j, as
    version 1.2.16 has a pom type of 'bundle' and this
    means that the version installed in the Maven repository
    is 'debian' instead of '1.2.x' (Closes: #618263)
  * d/control: update Homepage to reflect the new location of log4j
  * include OSGi metadata in the jar, add Build-Depends on bnd
  * Add --has-package-version to libapache-log4j1.2-java.poms
  * Deploy javadoc jar into the Maven repository 

  [ Niels Thykier ]
  * Updated Vcs-* fields.

  [ Torsten Werner ]
  * Remove Kalle from Uploaders list.
  * Do no longer build the liblog4j1.2-java-gcj package.
  * Fix typo in Description.

 -- Torsten Werner <twerner@debian.org>  Fri, 23 Sep 2011 23:03:09 +0200

jakarta-log4j (1.2.16-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    + Standards version is now 3.9.1 (No changes needed).
    + Recommends: liblog4j1.2-java-gcj downgraded to Suggests
      (Closes: #583260)
    + Add Suggests on liblog4j1.2-java-doc
  * Remove pom.xml.patch, changes applied upstream,
    refresh build.xml.patch

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 14 May 2010 00:11:30 +0200

jakarta-log4j (1.2.15-11) unstable; urgency=low

  * Team upload.
  * Move the patches to quilt, add a Build-Depends on quilt
  * JMX package is built and patch from Thomas Koch has been applied
    with changes (Closes: #503837)
  * Use default-jdk-doc instead of classpath-doc/openjdk-6-doc
    (Closes: #567275)
  * Remove dependencies on all java runtimes and java-common
    (Closes: #576737)
  * Source format 3.0 (quilt)
    - removed quilt as build dependency
    - removed include patchsys-quilt.mk in d/rules 

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 05 Apr 2010 16:30:15 +0200

jakarta-log4j (1.2.15-10) unstable; urgency=low

  * Fixed Maven support (Closes: #571046)
    - d/m.ignoreRules: added JMX stuff
    - pom.xml patch : javax.jms and java.mail set as optional
  * Standards-Version to 3.8.4
  * debhelper compat to 7

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Wed, 24 Feb 2010 02:33:46 +0100

jakarta-log4j (1.2.15-9) unstable; urgency=low

  * Added libjboss-jmx-java to suggests:

 -- Thomas Koch <thomas.koch@ymc.ch>  Thu, 14 Jan 2010 15:51:45 +0100

jakarta-log4j (1.2.15-8) unstable; urgency=low

  * Build with jmx support 

 -- Thomas Koch <thomas.koch@ymc.ch>  Tue, 12 Jan 2010 11:02:21 +0100

jakarta-log4j (1.2.15-7) unstable; urgency=low

  * Upload to unstable

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 11:25:57 +0200

jakarta-log4j (1.2.15-6) experimental; urgency=low

  [ Ludovic Claude ]
  * Add the Maven POM to the package
  * Add a Build-Depends dependency on maven-repo-helper
  * Move API documentation to /usr/share/doc/liblog4j1.2-java/api

  [ Torsten Werner ]
  * Fix doc-base file.

 -- Torsten Werner <twerner@debian.org>  Sun, 02 Aug 2009 21:51:13 +0200

jakarta-log4j (1.2.15-5) unstable; urgency=low

  * Add myself to Uploaders.
  * Do no longer quote the full text of the Apache-2.0 license.
  * Add missing Depends: ${misc:Depends}.
  * Change Section: java.
  * Update Standards-Version: 3.8.2 (no changes).
  * Fix spelling api -> API.

 -- Torsten Werner <twerner@debian.org>  Thu, 30 Jul 2009 18:24:10 +0200

jakarta-log4j (1.2.15-4) unstable; urgency=low

  * liblog4j-java: Depend on default-jre-headless as the preferred runtime,
    keep the existing alternatives for now.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Aug 2008 23:55:26 +0200

jakarta-log4j (1.2.15-3) unstable; urgency=medium

  * debian/control:
    + Use default-java-jdk in place of java-gcj-compat-dev.
    (Closes: #477866)
    + Switch to use Varun and Kumar's debian.org addresses.
    + Standards version is now 3.7.3 (No changes needed).
    + Use Vcs-Broswer and Vcs-Svn in place of XS-Vcs-*.
  * debian/rules:
    + Switch JAVA_HOME location to /usr/lib/jvm/default-java.
  * debian/copright:
    + Update to UTF-8, and add a copyright for the Apache Software
      Foundartion.

 -- Kumar Appaiah <akumar@debian.org>  Sun, 27 Apr 2008 17:35:01 +0530

jakarta-log4j (1.2.15-2) unstable; urgency=low

  [ Matthias Klose ]
  * Really build the native jars, don't ship an empty package. Closes: #453941.


