=== debian/control ===
Source: apache-log4j1.2
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Varun Hiremath <varun@debian.org>,
 Kumar Appaiah <akumar@debian.org>, Torsten Werner <twerner@debian.org>,
 Ludovic Claude <ludovic.claude@laposte.net>, Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: debhelper (>= 7), cdbs, default-jdk, ant, libgnujaf-java,
 libgnumail-java, maven-repo-helper, default-jdk-doc, libmx4j-java
Standards-Version: 3.9.2
Homepage: http://logging.apache.org/log4j/1.2/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/apache-log4j1.2
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/apache-log4j1.2

Package: liblog4j1.2-java
Architecture: all
Depends: ${misc:Depends}
Suggests: liblog4j1.2-java-doc, libgnumail-java, libmx4j-java
Description: Logging library for java
 log4j is a tool to help the programmer output log statements to a variety of
 output targets. 
 .
 It is possible to enable logging at runtime without modifying the application
 binary. The log4j package is designed so that log statements can remain in
 shipped code without incurring a high performance cost.
 .
 One of the distinctive features of log4j is the notion of hierarchical 
 loggers. Using loggers it is possible to selectively control which log 
 statements are output at arbitrary granularity.
 .
 Log4j can output to: a file, a rolling file, a database with a JDBC driver, 
 many output  asynchronously, a JMS Topic, a swing based logging console, 
 the NT event log, /dev/null, a SMTP server (using javamail), a socket server,
 syslog, telnet daemon and stdout.
 .
 The format of the output can be defined using one of the various layout 
 (or user defined layout) like: simple text, html, date, pattern defined and
 XML.

Package: liblog4j1.2-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, default-jdk-doc
Description: Documentation for liblog4j1.2-java
 The javadoc API documentation for the logging library
 from the Apache Jakarta project. The documentation is
 for the version 1.2 of the log4j API.
