=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

PACKAGE   := $(DEB_SOURCE_PACKAGE)
VERSION   := $(DEB_UPSTREAM_VERSION)
JAVA_HOME := /usr/lib/jvm/default-java
ANT_HOME  := /usr/share/ant
DEB_JARS  := gnumail activation
DEB_ANT_BUILD_TARGET := jar javadoc
DEB_ANT_ARGS := -Dversion=$(VERSION)

clean::
	-$(RM) -r docs
	-rm -rf debian/tmp

common-build-indep::
	cp pom.xml dist/lib/log4j.javadoc.pom
	jar cvf dist/lib/log4j.javadoc.jar -C docs/api/ .

install/liblog4j1.2-java::
	$(RM) dist/lib/log4j-*-sources.jar
	mh_install

get-orig-source:
	-uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download
