=== debian/watch ===
version=3
http://www.apache.org/dist/logging/log4j/(1.2.[\d]+)/apache-log4j-(1.2.[\d]+).tar.gz debian debian/orig-tar.sh
