## apache-log4j1.2 1.2.17

=== debian/changelog ===
apache-log4j1.2 (1.2.17-11) unstable; urgency=high

  * Team upload.
  * Fix CVE-2021-4104, CVE-2022-23305, CVE-2022-23302 and CVE-2022-23307.
    (Closes: #1004482)
  * Declare compliance with Debian Policy 4.6.0.

 -- Markus Koschany <apo@debian.org>  Mon, 31 Jan 2022 11:40:47 +0100

apache-log4j1.2 (1.2.17-10) unstable; urgency=medium

  * No longer build the examples to fix the build failure with OpenJDK 17
    (Closes: #981854)
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13
  * Removed debian/orig-tar.sh

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 05 Feb 2021 13:07:53 +0100

apache-log4j1.2 (1.2.17-9) unstable; urgency=high

  * Team upload.
  * Fix CVE-2019-17571. (Closes: #947124)
    Included in Log4j 1.2 is a SocketServer class that is vulnerable to
    deserialization of untrusted data which can be exploited to remotely
    execute arbitrary code when combined with a deserialization gadget when
    listening to untrusted network traffic for log data.
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.1.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Sat, 11 Jan 2020 23:06:27 +0100

apache-log4j1.2 (1.2.17-8) unstable; urgency=medium

  * No longer attempt to install the javadoc jar (Closes: #879251)
  * Relocated the log4j:log4j:debian artifact to log4j:log4j:1.2.x
  * Build with the DH sequencer instead of CDBS
  * Fixed a typo in the doc-base title
  * Moved the package to Git
  * Standards-Version updated to 4.1.1
  * Switch to debhelper level 10
  * Refreshed debian/copyright

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 22 Oct 2017 00:55:53 +0200

apache-log4j1.2 (1.2.17-7) unstable; urgency=medium

  * Team upload.
  * Transition to bnd 2.1.0.
  * Vcs-Browser: Use https.

 -- Markus Koschany <apo@debian.org>  Tue, 17 Nov 2015 18:22:37 +0100

apache-log4j1.2 (1.2.17-6) unstable; urgency=medium

  * Team upload.
  * Add missing .class files to .jar (Closes: #791446)

 -- Hilko Bengen <bengen@debian.org>  Tue, 07 Jul 2015 00:47:09 +0200

apache-log4j1.2 (1.2.17-5) unstable; urgency=medium

  * Team upload.

  [ Kumar Appaiah ]
  * debian/control: Remove Kumar Appaiah from uploaders

  [ Emmanuel Bourg ]
  * Depend on libmail-java instead of libgnumail-java
  * Standards-Version updated to 3.9.6 (no changes)
  * Switch to debhelper level 9
  * debian/copyright: Updated to the Copyright Format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 30 Sep 2014 14:26:42 +0200

apache-log4j1.2 (1.2.17-4) unstable; urgency=low

  * Removed the dependency on libjboss-jmx-java since javax.management
    is now part of the JDK.
  * Enabled the compilation of the org.apache.log4j.jmx.Agent class
  * Added a description to build_fix.patch

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Aug 2013 09:52:20 +0200

apache-log4j1.2 (1.2.17-3) unstable; urgency=low

  * Removed the dependency on the Activation Framework (libgnujaf-java)
  * debian/rules: Improved the clean target
  * Use canonical URLs for the Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 16 May 2013 14:46:43 +0200

apache-log4j1.2 (1.2.17-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Mon, 06 May 2013 20:43:34 -0700

apache-log4j1.2 (1.2.17-1) experimental; urgency=low

  * Team upload.
  * New upstream release
  * Refreshed the patch
  * debian/watch: Fixed the URL
  * Updated Standards-Version to 3.9.4 (no changes)

  [ Tony Mancill ]
  * Remove Michael Koch from Uploaders. (Closes: #653986)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 02 Apr 2013 15:23:23 +0200
