=== debian/control ===
Source: apache-log4j1.2
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Varun Hiremath <varun@debian.org>,
 Torsten Werner <twerner@debian.org>,
 Ludovic Claude <ludovic.claude@laposte.net>,
 Jakub Adam <jakub.adam@ktknet.cz>,
 Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 ant,
 bnd (>= 2.1.0),
 debhelper-compat (= 13),
 default-jdk,
 default-jdk-doc,
 libmail-java,
 maven-repo-helper
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/java-team/apache-log4j1.2.git
Vcs-Browser: https://salsa.debian.org/java-team/apache-log4j1.2
Homepage: http://logging.apache.org/log4j/1.2/

Package: liblog4j1.2-java
Architecture: all
Depends: ${misc:Depends}
Suggests: liblog4j1.2-java-doc, libmail-java
Description: Logging library for java
 log4j is a tool to help the programmer output log statements to a variety of
 output targets.
 .
 It is possible to enable logging at runtime without modifying the application
 binary. The log4j package is designed so that log statements can remain in
 shipped code without incurring a high performance cost.
 .
 One of the distinctive features of log4j is the notion of hierarchical
 loggers. Using loggers it is possible to selectively control which log
 statements are output at arbitrary granularity.
 .
 Log4j can output to: a file, a rolling file, a database with a JDBC driver,
 many output  asynchronously, a JMS Topic, a swing based logging console,
 the NT event log, /dev/null, a SMTP server (using javamail), a socket server,
 syslog, telnet daemon and stdout.
 .
 The format of the output can be defined using one of the various layout
 (or user defined layout) like: simple text, html, date, pattern defined and
 XML.

Package: liblog4j1.2-java-doc
Architecture: all
Section: doc
Depends: default-jdk-doc, ${misc:Depends}
Description: Documentation for liblog4j1.2-java
 The javadoc API documentation for the logging library
 from the Apache Jakarta project. The documentation is
 for the version 1.2 of the log4j API.
