=== debian/watch ===
version=4
https://archive.apache.org/dist/logging/log4j/(1.2.[\d]+)/log4j-(1.2.[\d]+).tar.gz
