## apache-log4j1.2 1.2.17.1

=== debian/changelog ===
apache-log4j1.2 (1.2.17.1-1+security) unstable; urgency=medium

  * update

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Thu, 24 Jun 2021 16:36:48 +0800
