=== debian/watch ===
version=3
http://archive.apache.org/dist/logging/log4j/(1.2.[\d]+)/log4j-(1.2.[\d]+).tar.gz debian debian/orig-tar.sh
